curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/management_key \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"label": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"creator": {
"type": "org_member",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"avatar": "<string>"
},
"role": "org_admin",
"team_role_bindings": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"key": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Management Keys
Create Management Key
Post org management key via the Junction API. Requires authentication with your team API key.
POST
/
v1
/
org
/
{org_id}
/
management_key
curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/management_key \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"label": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}'
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"creator": {
"type": "org_member",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"avatar": "<string>"
},
"role": "org_admin",
"team_role_bindings": [
{
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"key": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Junction Management API is available for the Scale plan.
The base URL of this endpoint is
https://api.management.junction.com/.The endpoint accepts only Management Key (X-Management-Key).
Team API Key is not accepted.curl --request POST \
--url https://api.management.junction.com/v1/org/{org_id}/management_key \
--header 'Content-Type: application/json' \
--header 'X-Vital-Org-Key: <api-key>' \
--data '{
"label": "<string>",
"team_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}'
Authorizations
Path Parameters
Body
application/json
Response
Successful Response
- CreatorOrgMember
- CreatorOrgMemberRemoved
- CreatorVitalStaff
- CreatorManagementKey
Show child attributes
Show child attributes
Available options:
org_admin, team_admin Show child attributes
Show child attributes
Was this page helpful?